# ValidationRuleRange class

Used for validation of the range of an input.

Inheritance
  - Object
  - ValidationRule
  - ValidationRuleRange
Annotations
  - @JsonSerializable()

## Constructors

ValidationRuleRange(ValidationType validationType, String messageId, int minValue, int maxValue)
ValidationRuleRange.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
maxValue → int
  final
messageId → String
  final inherited
minValue → int
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
validationType → ValidationType
  final inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited
validateValue({required String value}) → Future<List<ValidationErrorMessage>>
  Validates the provided `value`.
  inherited
validateValueForFieldOfPaymentRequest({required String fieldId, required PaymentRequest request}) → Future<List<ValidationErrorMessage>>
  Validates the value of the PaymentProductField corresponding to the provided `fieldId` in the provided `request`.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited